@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/usr/bin/env perl
#line 15
# ABSTRACT: Run Statocles commands
package statocles;
$statocles::VERSION = '0.011';
use Statocles::Command;
exit Statocles::Command->main( @ARGV );

__END__

=pod

=head1 NAME

statocles - Run Statocles commands

=head1 VERSION

version 0.011

=head1 SYNOPSIS

    statocles [--config <file>] [--site <site>] <command>
    statocles -h|--help

=head1 DESCRIPTION

=head1 ARGUMENTS

=head2 <command>

The command to run. Available commands:

    build       - Build the site
    deploy      - Deploy the site
    apps        - List the applications in this site
    <app> help  - Get help for a specific application

=head1 OPTIONS

=head2 config <file>

The configuration file to read for Sites. Defaults to C<site.yml>.

The configuration file is a L<Beam::Wire> container file.

=head2 site <name>

The site to use, which is the name of an object in the config file. Defaults to
C<site>.

=head2 -h | --help

Display this help file

=head1 AUTHOR

Doug Bell <preaction@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2014 by Doug Bell.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut

__END__
:endofperl
